package jp.sourceforge.glad.example.domain.common.entity;

public class BaseEntity<K> {

	private K id;

	private long version;

	public BaseEntity() {
	}

	public BaseEntity(K id, long version) {
		this.id = id;
		this.version = version;
	}

	public K getId() {
		return id;
	}

	void setId(K id) {
		this.id = id;
	}

	public long getVersion() {
		return version;
	}

	void setVersion(long version) {
		this.version = version;
	}

}
